# Interface CharacterHandler

All Known Implementing Classes:
  `NormalizationChecker`

public interface CharacterHandler
An interface for receiving notifications of UTF-16 code units read from a character stream.

Version:
  $Id$
Author:
  hsivonen

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int length)`
Receive notification of a run of UTF-16 code units.
`void`
`end()`
Signals the end of the stream.
`void`
`start()`
Signals the start of the stream.

## Method Details

### characters

void characters(char[] ch, int start, int length) throws SAXException
Receive notification of a run of UTF-16 code units.

Parameters:
  `ch` - the buffer
  `start` - start index in the buffer
  `length` - the number of characters to process starting from `start`
Throws:
  `SAXException` - if things go wrong

### end

void end() throws SAXException
Signals the end of the stream. Can be used for cleanup. Doesn't mean that the stream ended successfully.

Throws:
  `SAXException` - if things go wrong

### start

void start() throws SAXException
Signals the start of the stream. Can be used for setup.

Throws:
  `SAXException` - if things go wrong